{
  "codeName" : "Usr04157385GridView_SearchForm",
  "controlType" : "SEARCHFORM",
  "defaultLabelWidth" : 130,
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book/PSSEARCHFORMS/Usr04157385GridView_SearchForm.json",
  "logicName" : "视图脚本_搜索表单",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
  },
  "getPSControlLogics" : [ {
    "logicTag" : "searchform",
    "logicType" : "SCRIPT",
    "name" : "LOGIC7",
    "scriptCode" : "console.log('项显示逻辑')",
    "triggerType" : "ITEMVISIBLE"
  }, {
    "logicTag" : "searchform",
    "logicType" : "SCRIPT",
    "name" : "LOGIC8",
    "scriptCode" : "console.log('项动态样式表')",
    "triggerType" : "ITEMDYNACLASS"
  } ],
  "getPSDEFormItems" : [ {
    "id" : "n_updatedate_ltandeq",
    "dataType" : 5,
    "getPSAppDEField" : {
      "name" : "UPDATEDATE",
      "codeName" : "UpdateDate"
    }
  }, {
    "id" : "n_phoneid_eq",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "PHONEID",
      "codeName" : "PhoneId"
    }
  } ],
  "getPSDEFormPages" : [ {
    "caption" : "常规条件",
    "codeName" : "formpage1",
    "detailStyle" : "DEFAULT",
    "detailType" : "FORMPAGE",
    "name" : "formpage1",
    "getPSDEFormDetails" : [ {
      "caption" : "更新时间",
      "codeName" : "n_updatedate_ltandeq",
      "dataType" : 5,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "n_updatedate_ltandeq",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      },
      "getPSControlAttributes" : [ {
        "attrName" : "name",
        "attrValue" : "console.log('注入属性')",
        "name" : "logic2"
      } ],
      "getPSEditor" : {
        "dateTimeFormat" : "YYYY-MM-DD",
        "editorParams" : {
          "TIMEFMT" : "YYYY-MM-DD"
        },
        "editorType" : "DATEPICKEREX_NOTIME",
        "name" : "n_updatedate_ltandeq"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "valueFormat" : "YYYY-MM-DD HH:mm:ss",
      "allowEmpty" : true,
      "showCaption" : true
    }, {
      "caption" : "手机标识",
      "codeName" : "n_phoneid_eq",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "n_phoneid_eq",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "PHONEID",
        "codeName" : "PhoneId"
      },
      "getPSControlLogics" : [ {
        "itemName" : "n_phoneid_eq",
        "logicTag" : "searchform",
        "logicType" : "SCRIPT",
        "name" : "logic",
        "scriptCode" : "console.log('项显示逻辑')",
        "triggerType" : "ITEMVISIBLE"
      } ],
      "getPSEditor" : {
        "editorType" : "HIDDEN",
        "name" : "n_phoneid_eq"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "hidden" : true
    } ],
    "getPSLayout" : {
      "childColMD" : 24,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "infoGroupMode" : false
  } ],
  "getPSLayout" : {
    "childColMD" : 24,
    "columnCount" : 24,
    "layout" : "TABLE_24COL"
  },
  "searchButtonStyle" : "DEFAULT",
  "tabHeaderPos" : "TOP",
  "enableAdvanceSearch" : false,
  "enableAutoSearch" : false,
  "enableFilterSave" : false,
  "noTabHeader" : true,
  "modelid" : "7539675A-63F3-46BF-AA61-1A039120FE9F",
  "modeltype" : "PSDEFORM_SEARCHFORM"
}